package app.mar.game.challenges;

import android.app.Activity;

import org.json.JSONException;
import org.json.JSONObject;

import app.mar.activities.ARActivity;
import app.mar.game.Area;
import app.mar.game.Game;

public class ARTreasure extends Treasure implements IGeoTreasure {
    protected Area mArea;
    public static final int REQUEST_CODE=2001;

    public int getResultCode() { return REQUEST_CODE; }

    public ARTreasure(Game g, JSONObject root, Activity act) {
        super(g, root, ARActivity.class, act);

        try
        {
            mArea = new Area(g, root.getJSONObject("area"), act);
        }
        catch(JSONException e)
        {
            e.printStackTrace();
        }
    }



    public Area getArea() {
        return mArea;
    }
}
